> ## Documentation Index
> Fetch the complete documentation index at: https://hevninc.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Prevalidate bank contact details

> Validate bank identifiers before creating a contact.



## OpenAPI

````yaml /openapi.json post /api/v1/user/contact/bank/validate
openapi: 3.1.0
info:
  title: HEVN API
  description: Backend API for HEVN mobile neobank
  version: 0.1.2
servers:
  - url: https://api.hevn.finance
    description: Production
security: []
paths:
  /api/v1/user/contact/bank/validate:
    post:
      tags:
        - User
      summary: Prevalidate bank contact details
      description: Validate bank identifiers before creating a contact.
      operationId: validate_bank_contact_api_v1_user_contact_bank_validate_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/BankValidationRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BankValidationResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    BankValidationRequest:
      properties:
        bankType:
          type: string
          title: Banktype
        country:
          anyOf:
            - type: string
            - type: 'null'
          title: Country
        bankName:
          anyOf:
            - type: string
            - type: 'null'
          title: Bankname
        iban:
          anyOf:
            - type: string
            - type: 'null'
          title: Iban
        bic:
          anyOf:
            - type: string
            - type: 'null'
          title: Bic
        routingNumber:
          anyOf:
            - type: string
            - type: 'null'
          title: Routingnumber
      type: object
      required:
        - bankType
      title: BankValidationRequest
      description: Request to prevalidate bank details before creating a contact.
    BankValidationResponse:
      properties:
        ok:
          type: boolean
          title: Ok
        errors:
          items:
            type: string
          type: array
          title: Errors
        warnings:
          items:
            type: string
          type: array
          title: Warnings
        lookups:
          additionalProperties: true
          type: object
          title: Lookups
      type: object
      required:
        - ok
      title: BankValidationResponse
      description: Result of bank detail validation.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````